com.google.gwt.uibinder.elementparsers

## Class WidgetInterpreter

- java.lang.Object
- - com.google.gwt.uibinder.elementparsers.WidgetInterpreter

All Implemented Interfaces:
  com.google.gwt.uibinder.rebind.XMLElement.Interpreter<java.lang.String>

    class WidgetInterpreter
    extends java.lang.Object
    implements com.google.gwt.uibinder.rebind.XMLElement.Interpreter<java.lang.String>

Used by `HTMLPanelParser` to interpret elements that call for widget instances. Declares the appropriate widget, and replaces them in the markup with a <span>.

### Constructor Summary

Constructors
Constructor and Description
`WidgetInterpreter(java.lang.String fieldName, com.google.gwt.uibinder.rebind.UiBinderWriter writer)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `interpretElement(com.google.gwt.uibinder.rebind.XMLElement elem)` Given an XMLElement, return its filtered value.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WidgetInterpreter

    public WidgetInterpreter(java.lang.String fieldName,
                             com.google.gwt.uibinder.rebind.UiBinderWriter writer)

### Method Detail

#### interpretElement

    public java.lang.String interpretElement(com.google.gwt.uibinder.rebind.XMLElement elem)
                                      throws UnableToCompleteException

Description copied from interface: `com.google.gwt.uibinder.rebind.XMLElement.Interpreter`
Given an XMLElement, return its filtered value.

Specified by:
  `interpretElement` in interface `com.google.gwt.uibinder.rebind.XMLElement.Interpreter<java.lang.String>`
Throws:
  `UnableToCompleteException` - on error